BRIC_DIST_MON(1)

NAME
bric_dist_mon - Bricolage distribution monitor

VERSION
$LastChangedRevision$

DATE
$LastChangedDate: 2006-03-18 01:26:34 +0100 (Sat, 18 Mar 2006) $

SYNOPSIS
  bric_dist_mon -u username -p password

  bric_dist_mon -u username -p password -i 15

  bric_dist_mon -u username -p password -c

  bric_dist_mon -u username -p password

DESCRIPTION
This program triggers the execution of distribution jobs when they're due. It does this by sending a ticler request to the Bricolage server on a regular basis.

bric_dist_mon works in one of two ways. The first is as a cron job. Use the "-c" option in a crontab and bric_dist_mon will always execute once and then exit. Using bric_dist_mon in a cron job allows the interval for its execution to be managed by cron, but limits it to the intervals supported by cron. For example, cron typically allows jobs to be scheduled to run as frequently as every minute. This will be fine for most applications. However, in a busy Bricolage environment with highly time-critical content, it may be important to have bric_dist_mon trigger new distribution jobs more frequently than cron will allow.

For those environments, bric_dist_mon can be used as a persistent, forking program. This is the default way to run bric_dist_mon, and the interval can be set via the "-i" option. For example, if a busy environment needed distribution jobs checked for and executed every 15 seconds, "-i 15" will cause bric_dist_mon to fork a new process every fifteen seconds to send a tickle request to the distribution server.

Note that, to run bric_dist_mon as a persistent forking application, some method of ensuring that it remains running and gets restarted if it exits will need to be put in place. But since most environments will be well served by the 1-minute intervals allowed by cron, we expect that approach to be the main way of running bric_dist_mon, thus avoiding the persistence issues.

OPTIONS

-u  Bricolage user login. All distribution jobs will be executed by this user. Required.

-p  Bricolage user password. Required.

-i  Interval (in seconds) between checks for jobs to execute and expire. Defaults to 30 seconds.

-U  The distribution server URL, including the protocol. Defaults to "http://localhost/dist/". If "/dist" isn't appended to the end of the URL, bric_dist_mon will append it for you.

-a  IP Address from which the distribution requests will be sent to the distribution server. If not provided, bric_dist_mon will do its best to figure out what the IP address is.

-c  Cron mode. Will run only once and then exit.

-f  An integer representing the number of times the script should fork. Useful for testing. Does not apply with "-c".

-d  Print and log debugging data to the system logs. This can be very verbose and fill up your logs, so use with care.

-h  Print a usage statement.

-v  Print the version number.

AUTHOR
David Wheeler <david@justatheory.com>

SEE ALSO
Bric::Dist::Client, Bric::Dist::Handler.